package com.ho.business.service.impl;

import com.ho.business.entity.MaintenanceData;
import com.ho.business.mapper.MaintenanceDataMapper;
import com.ho.business.service.MaintenanceDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author yy
* @description 针对表【maintenance_data】的数据库操作Service实现
* @createDate 2023-09-20 16:15:47
*/
@Service
public class MaintenanceDataServiceImpl implements MaintenanceDataService {
    @Autowired
    MaintenanceDataMapper maintenanceDataMapper;

    @Override
    public void maintenanceInsert(MaintenanceData maintenanceData) {
        maintenanceDataMapper.insertSelective(maintenanceData);
    }

    @Override
    public List<MaintenanceData> selectByParam(MaintenanceData vo) {
        List<MaintenanceData> maintenanceData = maintenanceDataMapper.selectByParam(vo);
        return maintenanceData;
    }

    @Override
    public int deleteByList(List<Integer> ids) {
        int count = maintenanceDataMapper.deleteByList(ids);
        return count;
    }
}




